## Get an origin cloud region mapping `client.Cache.OriginCloudRegions.Get(ctx, originIP, query) (*OriginCloudRegionGetResponse, error)` **get** `/zones/{zone_id}/cache/origin_cloud_regions/{origin_ip}` Returns the cloud region mapping for a single origin IP address. The IP path parameter is normalized before lookup (RFC 5952 for IPv6). Returns 404 (code 1142) if the zone has no mappings or if the specified IP has no mapping. ### Parameters - `originIP string` - `query OriginCloudRegionGetParams` - `ZoneID param.Field[string]` Identifier. ### Returns - `type OriginCloudRegionGetResponse struct{…}` Response result for a single origin cloud region mapping. - `ID OriginCloudRegionGetResponseID` - `const OriginCloudRegionGetResponseIDOriginPublicCloudRegion OriginCloudRegionGetResponseID = "origin_public_cloud_region"` - `Editable bool` Whether the setting can be modified by the current user. - `Value OriginCloudRegion` A single origin IP-to-cloud-region mapping. - `OriginIP string` The origin IP address (IPv4 or IPv6, canonicalized). - `Region string` Cloud vendor region identifier. - `Vendor OriginCloudRegionVendor` Cloud vendor hosting the origin. - `const OriginCloudRegionVendorAws OriginCloudRegionVendor = "aws"` - `const OriginCloudRegionVendorAzure OriginCloudRegionVendor = "azure"` - `const OriginCloudRegionVendorGcp OriginCloudRegionVendor = "gcp"` - `const OriginCloudRegionVendorOci OriginCloudRegionVendor = "oci"` - `ModifiedOn Time` Time this mapping was last modified. - `ModifiedOn Time` Time the mapping was last modified. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/cache" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) originCloudRegion, err := client.Cache.OriginCloudRegions.Get( context.TODO(), "192.0.2.1", cache.OriginCloudRegionGetParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", originCloudRegion.ID) } ``` #### Response ```json { "errors": [], "messages": [], "result": { "editable": true, "id": "origin_public_cloud_region", "modified_on": "2026-03-01T12:00:00Z", "value": { "modified_on": "2026-03-01T12:00:00Z", "origin-ip": "192.0.2.1", "region": "us-east-1", "vendor": "aws" } }, "success": true } ```